Bug 26607 - Mypaint 1.2.1 does not start using Gnome under Wayland
Summary: Mypaint 1.2.1 does not start using Gnome under Wayland
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Rémi Verschelde
QA Contact:
URL: http://mypaint.org/blog/2020/02/16/My...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-11 15:30 CEST by Pavel Fric
Modified: 2021-01-06 15:39 CET (History)
2 users (show)

See Also:
Source RPM: mypaint-1.2.1-5.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Pavel Fric 2020-05-11 15:30:02 CEST
MyPaint v2.0.0 Released in February 2020. Please update the package (now in version 1.2.1
Comment 1 Lewis Smith 2020-05-11 20:36:50 CEST
Since you submitted this under Cauldron, it is already fixed. The requested package is already there:
Tue Mar 31 
- new version 2.0.0

Are you asking for it to be available for Mageia 7? Not sure whether this counts as a potential update; or a backport, in which case I think it would need to be re-classed as a new package request.

CC: (none) => lewyssmith
Source RPM: mypaint => mypaint-1.2.1-5.mga7.src.rpm

Comment 2 Pavel Fric 2020-05-11 20:56:24 CEST
Hi, I am not sure too, how it should be classified, but if it would be available for Mageia 7, I could run it. Also if needed and possible, the re-classification "as a new package request" would lead to optimal result.
Comment 3 Lewis Smith 2020-05-12 20:31:40 CEST
Thank you for the clarification.
Unsure whether this would count as a new package/backport request for Mageia 7, or can be swallowed as an update.

Assigning to DavidG as the main recent maintainer, CC'ing Rémi as registered maintainer (who committed the current version 1.2.1 a very long time ago).

Assignee: bugsquad => geiger.david68210
CC: (none) => rverschelde
Summary: MyPaint version 2.0.0 Released => mypaint version 2.0.0 Released, new package [backport] request for Mageia 7
Severity: normal => enhancement
Version: Cauldron => 7
Component: Backports => New RPM package request

Comment 4 Daniel Kjellin 2020-05-22 13:43:26 CEST
Could we make this a backport request?
Mypaint 1.2.1 does not start using Gnome under Wyland (but works under X11 as a workaround). 
My limited testing (downloaded the mypaint appimage) indicates this issue is fixed under 2.0.0.

CC: (none) => mandriva

Comment 5 Lewis Smith 2020-05-23 14:25:23 CEST
(In reply to Daniel Kjellin from comment #4)
> Mypaint 1.2.1 does not start using Gnome under Wayland (but works under X11
> as a workaround). 
> My limited testing (downloaded the mypaint appimage) indicates this issue is
> fixed under 2.0.0.
Thank you for this extra important information, which changes the flavour of the bug.

> Could we make this a backport request?
Can DavidG or Rémi decide whether it can be done as a straight update? Or whether it needs re-classing as a Backport.

Component: New RPM package request => RPM Packages
CC: lewyssmith => (none)
Summary: mypaint version 2.0.0 Released, new package [backport] request for Mageia 7 => Mypaint 1.2.1 does not start using Gnome under Wayland
Severity: enhancement => normal

Comment 6 David GEIGER 2021-01-06 13:21:24 CET
Assigning to the real maintainer!

Assignee: geiger.david68210 => rverschelde

Comment 7 Rémi Verschelde 2021-01-06 15:39:11 CET
I pushed a backport of mypaint 2.0.1 and its dependencies to Mageia 7 Core Backports Testing.

I haven't tested it myself yet and would appreciate tests. I'm a bit worried of potential incompatibilities between the updated libmypaint0 and gimp, which uses it (and the mypaint-brushes). So that's something to test too to make sure GIMP still works fine.

RPMs in core/backports_testing:
===============================

mypaint-2.0.1-1.mga7

mypaint-brushes-2.0.2-1.mga7
mypaint-brushes-devel-2.0.2-1.mga7

libmypaint0-1.6.1-1.mga7
libmypaintgegl-gir1.6-1.6.1-1.mga7
libmypaint-devel-1.6.1-1.mga7
libmypaint-gegl0-1.6.1-1.mga7
libmypaint-gir1.6-1.6.1-1.mga7
libmypaint-i18n-1.6.1-1.mga7

SRPMs in core/backports_testing:
================================

mypaint-2.0.1-1.mga7
mypaint-brushes-2.0.2-1.mga7
libmypaint-1.6.1-1.mga7
Rémi Verschelde 2021-01-06 15:39:21 CET

Component: RPM Packages => Backports


Note You need to log in before you can comment on or make changes to this bug.